<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="compteRenduAlimMSS">
		<html>
			<head>
				<meta content="text/html; charset=UTF-8" http-equiv="Content-Type"></meta>
				<title>Compte Rendu Alimentation</title>
				<link rel="stylesheet" type="text/css" href="stylesheet.css" />
			</head>
			<body>
			    <div class="header">
					<xsl:apply-templates select="ComptesRenduEntete" />
				</div>
				<div class="contentContainer">
					<ul class="blockList">
						<xsl:apply-templates select="ComptesRenduDetail" />
					</ul>
				</div>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="ComptesRenduEntete">
		<h1>Compte rendu d'alimentation MSSanté</h1>
		<h2>Ticket n°<xsl:value-of select="Ticket"/></h2>
		<div class="contentContainer">
		<xsl:apply-templates select="ReglesControles" />
		</div>
	</xsl:template>
	
	<xsl:template match="ReglesControles">
		<table class="packageSummary" cellspacing="0" cellpadding="3" border="0">
		<tr>
			<th class="colFirst">
				<h3>Règle de contrôle</h3>
			</th>
			<th class="colLast"></th>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Description</td>
			<td class="colLast"><xsl:value-of select="RegleControle" /></td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Code de l'erreur associée au contrôle</td>
			<td class="colLast"><xsl:value-of select="CodeMSS0" /></td>
		</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="ComptesRenduDetail">
		<li class="blockList">
			<table class="packageSummary" cellspacing="0" cellpadding="3" border="0">
				<tr>
					<th class="colFirst">
						<h3>Compte rendu domaine</h3>
					</th>
					<th class="colLast"></th>
				</tr>
				<tr class="rowColor">
					<td class="colFirst">Nom de domaine</td>
					<td class="colLast">
						<xsl:value-of select="NomDomaine" />
					</td>
				</tr>
				<xsl:apply-templates select="StatMSS" />
				<xsl:apply-templates select="ListeAno" />
			</table>
		</li>
	</xsl:template>
	<xsl:template match="StatMSS">
		<tr>
			<th class="colFirst">
				<h3>Statistiques</h3>
			</th>
			<th class="colLast"></th>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Nombre d'enregistrements lus</td>
			<td class="colLast">
				<xsl:value-of select="NbBALLus" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Nombre d'enregistrements en delta</td>
			<td class="colLast">
				<xsl:value-of select="NbBALDelta" />
			</td>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Nombre d'enregistrements créés</td>
			<td class="colLast">
				<xsl:value-of select="NbBALCrees" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Nombre d'enregistrements mis à jour</td>
			<td class="colLast">
				<xsl:value-of select="NbBALMaj" />
			</td>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Nombre d'enregistrements supprimés en erreur bloquante</td>
			<td class="colLast">
				<xsl:value-of select="NbBALSup" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Nombre d'enregistrements en erreur non bloquante</td>
			<td class="colLast">
				<xsl:value-of select="NbBALErr" />
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="ListeAno">
		<tr>
			<th class="colFirst">
				<h3>Anomalie</h3>
			</th>
			<th class="colLast"></th>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Code erreur</td>
			<td class="colLast">
				<xsl:value-of select="CodeMSS0" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Motif d'erreur</td>
			<td class="colLast">
				<xsl:value-of select="MotifErreur" />
			</td>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Criticité</td>
			<td class="colLast">
				<xsl:value-of select="CriticiteErreur" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Type de BAL</td>
			<td class="colLast">
				<xsl:value-of select="TypeBAL" />
			</td>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Adresse BAL</td>
			<td class="colLast">
				<xsl:value-of select="AdresseBAL" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Type identifiant PP (libellé)</td>
			<td class="colLast">
				<xsl:value-of select="TypeIdentifiantPP/@displayName" />
			</td>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Identifiant PP</td>
			<td class="colLast">
				<xsl:value-of select="IdentifiantPP" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Type identifiant PM (libellé)</td>
			<td class="colLast">
				<xsl:value-of select="TypeIdentifiantPM/@displayName" />
			</td>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Identifiant PM</td>
			<td class="colLast">
				<xsl:value-of select="IdentifiantPM" />
			</td>
		</tr>
		<tr class="rowColor">
			<td class="colFirst">Nom d'exercice connu dans l'annuaire national MSSanté</td>
			<td class="colLast">
				<xsl:value-of select="NomExerciceAnnuaire" />
			</td>
		</tr>
		<tr class="altColor">
			<td class="colFirst">Prénom d'exercice connu dans l'annuaire national MSSanté</td>
			<td class="colLast">
				<xsl:value-of select="PrenomExerciceAnnuaire" />
			</td>
		</tr>

	</xsl:template>
</xsl:stylesheet>